%define	major		4
%define	libname		%mklibname dv %{major}
%define	develname	%mklibname dv -d

Name:		libdv
Version:	1.0.0
Release:	%mkrel 19
Summary:	DV software video codec
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libdv.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/libdv/%{name}-%{version}.tar.bz2
Patch0:		libdv-mmxdetect-athlon.patch
Patch4:		libdv-0.104-zap-config.h.patch
Patch5:		libdv-0.104-move-config.h-to-apps.patch
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(xv)
# for autoreconf
BuildRequires:	SDL1.2-devel

%description
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

%package	apps
Summary:	Binaries from libdv
Group:		Video/Editors and Converters
Provides:	%{_lib}dv2-apps = %{version}-%{release}
Obsoletes:	%{_lib}dv2-apps

%description	apps
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

This is the libraries, include files and other resources you can use
to incorporate libdv into applications.


%package -n	%{libname}
Summary:	Libraries from libdv
Group:		System/Libraries

%description -n	%{libname}
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

This is the libraries, include files and other resources you can use
to incorporate libdv into applications.

%package -n	%develname
Summary:	Devel files from libdv
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	popt-devel
Provides:	libdv-devel = %{version}-%{release}
Obsoletes:	%mklibname -d dv 4
Obsoletes:	%{mklibname -d -s dv} < 1.0.0-15

%description -n	%develname
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

This is the libraries, include files and other resources you can use
to incorporate libdv into applications.

%prep
%setup -q
%autopatch -p1

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static --enable-shared --disable-gtk

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files apps
%doc ChangeLog COPYING README AUTHORS NEWS TODO COPYRIGHT
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %develname
%doc ChangeLog COPYING README AUTHORS NEWS TODO COPYRIGHT
%{_includedir}/libdv
%{_libdir}/*.so
%{_libdir}/pkgconfig/libdv.pc


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 1.0.0-19.mga9
+ Revision: 1839083
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.0-18.mga8
+ Revision: 1514056
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-17.mga7
+ Revision: 1298812
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.0.0-16.mga7
+ Revision: 1234022
- fix build on aarch64

* Thu Jan 25 2018 daviddavid <daviddavid> 1.0.0-15.mga7
+ Revision: 1196877
- disable and remove static libraries

* Tue Feb 02 2016 umeabot <umeabot> 1.0.0-14.mga6
+ Revision: 931115
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-13.mga5
+ Revision: 742641
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-12.mga5
+ Revision: 681427
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-11.mga4
+ Revision: 506927
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-10.mga3
+ Revision: 357021
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 1.0.0-9.mga3
+ Revision: 323372
- clean spec
- update rpm group

* Sat Jan 15 2011 ahmad <ahmad> 1.0.0-8.mga1
+ Revision: 19499
- drop old/unneeded scriptlets
- drop BR X11-devel, not needed any more
- imported package libdv


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-7mdv2011.0
+ Revision: 602538
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-6mdv2010.1
+ Revision: 520765
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-5mdv2010.0
+ Revision: 425532
- rebuild

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 1.0.0-4mdv2009.1
+ Revision: 365972
- drop old distro
- rediff mmx patch

* Tue Jul 15 2008 Götz Waschk <waschk@mandriva.org> 1.0.0-4mdv2009.0
+ Revision: 235758
- new devel package naming
- fix license

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-3mdv2009.0
+ Revision: 222536
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-2mdv2008.1
+ Revision: 150553
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon Sep 25 2006 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2007.0
- drop patches 2,1,3,6,7,8,9
- New version 1.0.0

* Wed Jul 26 2006 Austin Acton <austin@mandriva.org> 0.104-5mdv2007.0
- disable gtk1.2

* Wed Jun 07 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.104-4mdv2007.0
- fix buildrequires
- sync with debian patches
- %%mkrel
- wipe out buildroot in %%install, not %%prep
- cleanups

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.104-3mdk
- Rebuild

* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.104-2mdk
- PIC fixes to x86_64 code (libdv CVS)

* Tue Nov 30 2004 Götz Waschk <waschk@linux-mandrake.com> 0.104-1mdk
- New release 0.104

* Thu Jul 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.103-1mdk
- reenable libtoolize for cooker
- add source URL
- New release 0.103

* Fri Apr 02 2004 Götz Waschk <waschk@linux-mandrake.com> 0.102-1mdk
- major 4
- new version

* Sat Jan 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.101-1mdk
- don't run libtoolize
- drop merged patch1
- mdkversion macro
- new version

